import { U as i, V as u, W as c, s as l, e as h } from "../index-DSGwv2Yx.js";
import { t as f } from "../tensor2d-DTtQ1QcT.js";
function m(t, e, n) {
  if (i(t), e != null && e.length !== 3)
    throw new Error("tensor3d() requires shape to have three numbers");
  const r = u(t, n);
  if (r.length !== 3 && r.length !== 1)
    throw new Error("tensor3d() requires values to be number[][][] or flat/TypedArray");
  if (r.length === 1 && e == null)
    throw new Error("tensor3d() requires shape to be provided when `values` are a flat array");
  return c(t, e, r, n);
}
async function y(t) {
  await l(t);
  const e = m(
    [
      [
        [0.1, 0.2],
        [0.3, 0.4]
      ]
    ],
    [1, 2, 2]
  ), n = f(
    [
      [0.5, 0.6, 0.9, 1, 1.3, 1.4],
      [0.7, 0.8, 1.1, 1.2, 1.5, 1.6]
    ],
    [2, 6]
  ), r = h().runKernel("QKV", { x: e, kernel: n }, { heads: 1 }), o = await r[0].array(), a = await r[1].array(), s = await r[2].array();
  return [o, a, s];
}
export {
  y as execute
};
